{% extends 'base.html.twig' %}

{% block title %}Hello OrdersController!{% endblock %}

    {% block my_css %}

    {% endblock %}

{% block content %}
    <div id="accordion">
        {% for order in placedOrders %}
        <div class="card">
            <div class="card-header">
                <a class="card-link" data-toggle="collapse" href="#collapseOne">
                    Order #{{ order.id }}, placed on: {{ order.addedAt|date }}
                </a>
            </div>
            <div id="collapseOne" class="collapse show" data-parent="#accordion">
                <div class="card-body">
                    <table class="table">
                        <thead>
                        <tr>
                            <th scope="col">Product</th>
                            <th scope="col">Price</th>
                            <th scope="col">Quantity</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for orderDetail in order.details %}
                        <tr>
                            <td>{{ orderDetail.product.name }}</td>
                            <td>{{ orderDetail.product.price }}</td>
                            <td>{{ orderDetail.quantity }}</td>
                        </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        {% endfor %}
    </div>
{% endblock %}
